# CLSampler (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLSampler

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLSampler

All Implemented Interfaces:
  PointerWrapper

    public final class CLSampler

extends PointerWrapperAbstract

This class is a wrapper around a cl_sampler pointer.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`int` `getInfoInt(int param_name)` Returns the integer value of the specified parameter.
`long` `getInfoLong(int param_name)` Returns the long value of the specified parameter.
`P` `getParent()`
`int` `getReferenceCount()`
`boolean` `isValid()` Returns true if this object represents a valid pointer.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInfoInt

    public int getInfoInt(int param_name)

  Returns the integer value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getInfoLong

    public long getInfoLong(int param_name)

  Returns the long value of the specified parameter. Can be used for both cl_ulong and cl_bitfield parameters.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getParent

    public P getParent()

### getReferenceCount

    public final int getReferenceCount()

### isValid

    public final boolean isValid()

  Description copied from class: `PointerWrapperAbstract`
  Returns true if this object represents a valid pointer. The pointer might be invalid because it is NULL or because some other action has deleted the object that this pointer represents.

  Overrides:
    `isValid` in class `PointerWrapperAbstract`
  Returns:
    true if the pointer is valid

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.